#include "AST.h"
#include "errors.h"


// We should probably relocate Error() and Warning() from
// "aux-parser.cc" into this file instead.


void TreeNode::error( const string &text ) const
{
  Error( text, position() );
}


void TreeNode::warning( const string &text ) const
{
  Warning( text, position() );
}


void TreeNode::message( const string &text ) const
{
  Message( text, position() );
}
