#include "AST.h"
#include "decls.h"
#include "options.h"


void TreeNode::localReportChange( const string &context,
				  const TypeNode &type ) const
{
  if (debug_lqi)
    message( context + " : <" + type.typeName() + '>' );
}


////////////////////////////////////////////////////////////////////////


void MethodNode::localReportChange( const char *context ) const
{
  if (debug_lqi)
    TreeNode::localReportChange( decl()->errorName() + ' ' + context,
				 *decl()->type() );
}
