#include <stdio.h>
#include <swclock.h>

char *RUNTIME_MODEL = "sp2";

extern void monitor_system_init();

int use_mem_hack = 1;
int no_bulk_copies = 0;
swclock_handle_t profclock;

int main(int argc, char **argv) {
  int rcode;

  region_init();

  if (rcode = sp2_init()) {
    fprintf(stderr, "Failed to initialize SP/2 communications layer.\n");
    exit(rcode);
  }
  monitor_system_init();
  profclock = swclockInit();
  ti_main(argc, argv);

  sp2_shutdown();
}
