#ifndef __titanium_monitor_t_h_
#define __titanium_monitor_t_h_

#include "ti-memory.h"
#include "backend.h"
#include <pthread.h>

struct waiting_proc;

typedef struct titanium_monitor_t {
  int who;
  int nesting;
  struct waiting_proc *sleepingProcs;
  struct waiting_proc *waitingProcs;
  pthread_mutex_t lock;
} titanium_monitor_t;

#endif /* !__titanium_monitor_t_h_ */
