#ifndef _INCLUDE_CLASS_HEADER_
#define _INCLUDE_CLASS_HEADER_

/* must appear before <sys/types.h> on Solaris */
#include "file-64.h"

#include <sys/types.h>
#include "category.h"
#include "config.h"
#include "gp-type.h"
#include "linkage.h"
#include "thread_ctl.h"

EXTERN_C_BEGIN

struct instance_header;
struct interface_header;

typedef struct class_header
{
    enum TypeCategory category;
    const struct interface_header * const *implements;
    const struct class_header *super;
    size_t size;
    ThreadBarrier_t *barrier;
    void (*nullifyLocalFields)( struct instance_header * );
} class_header;

EXTERN_C_END

#endif
