#ifndef _INCLUDE_JAVA_ARRAY_HEADER_H_
#define _INCLUDE_JAVA_ARRAY_HEADER_H_


#include "instance_header.h"
#include "primitives.h"


typedef struct java_array_header {
  struct instance_header header;
  jint length;             /* number of elements */
  jint size;               /* sizeof(element) */
  jint atomicelements;     /* are elements atomic? (contain no references) */
  jint _alignment_padding; /* for maintaining double-word alignment of data */
} java_array_header;


#endif /* !_INCLUDE_JAVA_ARRAY_HEADER_H_ */
