package ti.internal;


class LocalInfer
{
    // Native code may access certain fields and methods in ways that
    // are invisible to local qualification inference analysis.  The
    // code in this class will cause additional constraints to be
    // applied during local qualification inference.  These extra
    // constraints prevent local qualfications from being added in
    // places that would break native code.

    static private native String string();
    static private native java.util.Properties properties();

    static {
	NativeUtils.getBytes( string() );
	NativeUtils.addProperty( properties(), null, null );
	NativeUtils.throwNumberFormatException( string() );
    }
}
